diff --git a/main.asm b/main.asm
index 0d81c646..b3e2074b 100755
--- a/main.asm
+++ b/main.asm
@@ -39445,7 +39777,7 @@ OaksLabScript1: ; 1cb6e (7:4b6e)
 	ret
 
 OakEntryMovement: ; 1cb7e (7:4b7e)
-	db $40, $40, $40, $ff
+	db $40,$40,$40,$FF
 
 OaksLabScript2: ; 1cb82 (7:4b82)
 	ld a, [$d730]
@@ -39638,7 +39970,7 @@ OaksLabScript8: ; 1cc80 (7:4c80)
 	jr .asm_1ccf3 ; 0x1cced $4
 
 .LeftBallMovement1
-	db 0,$C0 ; not yet terminated!
+	db $00,$C0 ; not yet terminated!
 .LeftBallMovement2
 	db $C0,$FF
 
@@ -39834,7 +40166,7 @@ OaksLabScript13: ; 1ce32 (7:4e32)
 	ret
 
 .RivalExitMovement
-	db $E0,0,0,0,0,0,$FF
+	db $E0,$00,$00,$00,$00,$00,$FF
 
 OaksLabScript14: ; 1ce6d (7:4e6d)
 	ld a, [$d730]
@@ -40092,15 +40424,52 @@ Unknown_1d02b: ; 1d02b (7:502b)
 	ret
 
 Unknown_1d076: ; 1d076 (7:5076)
-	ld hl, OaksLabTexts + $36 ; $50b8 ; starts at OaksLabText28
+	ld hl, OaksLabTextPointers + $36 ; $50b8 ; starts at OaksLabText28
 	ld a, l
 	ld [W_MAPTEXTPTR], a
 	ld a, h
 	ld [W_MAPTEXTPTR+1], a
 	ret
 
-OaksLabTexts: ; 1d082 (7:5082)
-	dw OaksLabText1, OaksLabText2, OaksLabText3, OaksLabText4, OaksLabText5, OaksLabText6, OaksLabText7, OaksLabText8, OaksLabText9, OaksLabText10, OaksLabText11, OaksLabText12, OaksLabText13, OaksLabText14, OaksLabText15, OaksLabText16, OaksLabText17, OaksLabText18, OaksLabText19, OaksLabText20, OaksLabText21, OaksLabText22, OaksLabText23, OaksLabText24, OaksLabText25, OaksLabText26, OaksLabText27, OaksLabText28, OaksLabText29, OaksLabText30, OaksLabText31, OaksLabText32, OaksLabText33, OaksLabText34, OaksLabText35, OaksLabText36, OaksLabText37, OaksLabText38
+OaksLabTextPointers: ; 1d082 (7:5082)
+	dw OaksLabText1
+	dw OaksLabText2
+	dw OaksLabText3
+	dw OaksLabText4
+	dw OaksLabText5
+	dw OaksLabText6
+	dw OaksLabText7
+	dw OaksLabText8
+	dw OaksLabText9
+	dw OaksLabText10
+	dw OaksLabText11
+	dw OaksLabText12
+	dw OaksLabText13
+	dw OaksLabText14
+	dw OaksLabText15
+	dw OaksLabText16
+	dw OaksLabText17
+	dw OaksLabText18
+	dw OaksLabText19
+	dw OaksLabText20
+	dw OaksLabText21
+	dw OaksLabText22
+	dw OaksLabText23
+	dw OaksLabText24
+	dw OaksLabText25
+	dw OaksLabText26
+	dw OaksLabText27
+	dw OaksLabText28
+	dw OaksLabText29
+	dw OaksLabText30
+	dw OaksLabText31
+	dw OaksLabText32
+	dw OaksLabText33
+	dw OaksLabText34
+	dw OaksLabText35
+	dw OaksLabText36
+	dw OaksLabText37
+	dw OaksLabText38
 
 OaksLabText28: ; 1d0ce (7:50ce)
 OaksLabText1: ; 1d0ce (7:50ce)
@@ -40621,26 +40990,26 @@ OaksLabObject: ; 0x1d40a (size=88)
 ViridianMart_h: ; 0x1d462 to 0x1d46e (12 bytes) (bank=7) (id=42)
 	db $02 ; tileset
 	db VIRIDIAN_MART_HEIGHT, VIRIDIAN_MART_WIDTH ; dimensions (y, x)
-	dw ViridianMartBlocks, ViridianMartTexts, ViridianMartScript ; blocks, texts, scripts
+	dw ViridianMartBlocks, ViridianMartTextPointers, ViridianMartScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw ViridianMartObject ; objects
 
 ViridianMartScript: ; 1d46e (7:546e)
-	call ViridianMartScript_Unknown1d47d
+	call ViridianMartScript_1d47d
 	call EnableAutoTextBoxDrawing
 	ld hl, ViridianMartScriptPointers
 	ld a, [W_VIRIDIANMARKETCURSCRIPT]
 	jp CallFunctionInTable
 
-ViridianMartScript_Unknown1d47d: ; 1d47d (7:547d)
+ViridianMartScript_1d47d: ; 1d47d (7:547d)
 	ld a, [$d74e]
 	bit 0, a
 	jr nz, .asm_1d489 ; 0x1d482 $5
-	ld hl, ViridianMartTexts ; $54e0
+	ld hl, ViridianMartTextPointers ; $54e0
 	jr .asm_1d48c ; 0x1d487 $3
 .asm_1d489
-	ld hl, ViridianMartTexts + $a ; $54ea ; starts at ViridianMartText6
+	ld hl, ViridianMartTextPointers + $a ; $54ea ; starts at ViridianMartText6
 .asm_1d48c
 	ld a, l
 	ld [W_MAPTEXTPTR], a
@@ -40691,7 +41060,7 @@ ViridianMartScript1: ; 1d4c0 (7:54c0)
 ViridianMartScript2: ; 1d4df (7:54df)
 	ret
 
-ViridianMartTexts: ; 1d4e0 (7:54e0)
+ViridianMartTextPointers: ; 1d4e0 (7:54e0)
 	dw ViridianMartText1
 	dw ViridianMartText2
 	dw ViridianMartText3
@@ -40746,7 +41115,7 @@ ViridianMartBlocks: ; 1d530 (7:5530)
 School_h: ; 0x1d540 to 0x1d54c (12 bytes) (bank=7) (id=43)
 	db $08 ; tileset
 	db VIRIDIAN_SCHOOL_HEIGHT, VIRIDIAN_SCHOOL_WIDTH ; dimensions (y, x)
-	dw SchoolBlocks, SchoolTexts, SchoolScript ; blocks, texts, scripts
+	dw SchoolBlocks, SchoolTextPointers, SchoolScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SchoolObject ; objects
@@ -40754,8 +41123,9 @@ School_h: ; 0x1d540 to 0x1d54c (12 bytes) (bank=7) (id=43)
 SchoolScript: ; 1d54c (7:554c)
 	jp EnableAutoTextBoxDrawing
 
-SchoolTexts: ; 1d54f (7:554f)
-	dw SchoolText1, SchoolText2
+SchoolTextPointers: ; 1d54f (7:554f)
+	dw SchoolText1
+	dw SchoolText2
 
 SchoolText1: ; 1d553 (7:5553)
 	TX_FAR _SchoolText1
@@ -40785,18 +41155,21 @@ SchoolObject: ; 0x1d55d (size=32)
 ViridianHouse_h: ; 0x1d57d to 0x1d589 (12 bytes) (bank=7) (id=44)
 	db $08 ; tileset
 	db VIRIDIAN_HOUSE_HEIGHT, VIRIDIAN_HOUSE_WIDTH ; dimensions (y, x)
-	dw ViridianHouseBlocks, ViridianHouseTexts, ViridianHouseScript ; blocks, texts, scripts
+	dw ViridianHouseBlocks, ViridianHouseTextPointers, ViridianHouseScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw ViridianHouseObject ; objects
 
-db $0
+	db $0
 
 ViridianHouseScript: ; 1d58a (7:558a)
 	jp EnableAutoTextBoxDrawing
 
-ViridianHouseTexts: ; 1d58d (7:558d)
-	dw ViridianHouseText1, ViridianHouseText2, ViridianHouseText3, ViridianHouseText4
+ViridianHouseTextPointers: ; 1d58d (7:558d)
+	dw ViridianHouseText1
+	dw ViridianHouseText2
+	dw ViridianHouseText3
+	dw ViridianHouseText4
 
 ViridianHouseText1: ; 1d595 (7:5595)
 	TX_FAR _ViridianHouseText1
@@ -40845,7 +41218,7 @@ ViridianHouseObject: ; 0x1d5bb (size=44)
 PewterHouse1_h: ; 0x1d5e7 to 0x1d5f3 (12 bytes) (bank=7) (id=55)
 	db $08 ; tileset
 	db PEWTER_HOUSE_1_HEIGHT, PEWTER_HOUSE_1_WIDTH ; dimensions (y, x)
-	dw PewterHouse1Blocks, PewterHouse1Texts, PewterHouse1Script ; blocks, texts, scripts
+	dw PewterHouse1Blocks, PewterHouse1TextPointers, PewterHouse1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw PewterHouse1Object ; objects
@@ -40853,8 +41226,10 @@ PewterHouse1_h: ; 0x1d5e7 to 0x1d5f3 (12 bytes) (bank=7) (id=55)
 PewterHouse1Script: ; 1d5f3 (7:55f3)
 	jp EnableAutoTextBoxDrawing
 
-PewterHouse1Texts: ; 1d5f6 (7:55f6)
-	dw PewterHouse1Text1, PewterHouse1Text2, PewterHouse1Text3
+PewterHouse1TextPointers: ; 1d5f6 (7:55f6)
+	dw PewterHouse1Text1
+	dw PewterHouse1Text2
+	dw PewterHouse1Text3
 
 PewterHouse1Text1: ; 1d5fc (7:55fc)
 	TX_FAR _PewterHouse1Text1
@@ -40893,7 +41268,7 @@ PewterHouse1Object: ; 0x1d616 (size=38)
 PewterHouse2_h: ; 0x1d63c to 0x1d648 (12 bytes) (bank=7) (id=57)
 	db $08 ; tileset
 	db PEWTER_HOUSE_2_HEIGHT, PEWTER_HOUSE_2_WIDTH ; dimensions (y, x)
-	dw PewterHouse2Blocks, PewterHouse2Texts, PewterHouse2Script ; blocks, texts, scripts
+	dw PewterHouse2Blocks, PewterHouse2TextPointers, PewterHouse2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw PewterHouse2Object ; objects
@@ -40901,8 +41276,9 @@ PewterHouse2_h: ; 0x1d63c to 0x1d648 (12 bytes) (bank=7) (id=57)
 PewterHouse2Script: ; 1d648 (7:5648)
 	jp EnableAutoTextBoxDrawing
 
-PewterHouse2Texts: ; 1d64b (7:564b)
-	dw PewterHouse2Text1, PewterHouse2Text2
+PewterHouse2TextPointers: ; 1d64b (7:564b)
+	dw PewterHouse2Text1
+	dw PewterHouse2Text2
 
 PewterHouse2Text1: ; 1d64f (7:564f)
 	TX_FAR _PewterHouse2Text1
@@ -40932,7 +41308,7 @@ PewterHouse2Object: ; 0x1d659 (size=32)
 CeruleanHouseTrashed_h: ; 0x1d679 to 0x1d685 (12 bytes) (bank=7) (id=62)
 	db $08 ; tileset
 	db TRASHED_HOUSE_HEIGHT, TRASHED_HOUSE_WIDTH ; dimensions (y, x)
-	dw CeruleanHouseTrashedBlocks, CeruleanHouseTrashedTexts, CeruleanHouseTrashedScript ; blocks, texts, scripts
+	dw CeruleanHouseTrashedBlocks, CeruleanHouseTrashedTextPointers, CeruleanHouseTrashedScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CeruleanHouseTrashedObject ; objects
@@ -40941,8 +41317,10 @@ CeruleanHouseTrashedScript: ; 1d685 (7:5685)
 	call EnableAutoTextBoxDrawing
 	ret
 
-CeruleanHouseTrashedTexts: ; 1d689 (7:5689)
-	dw CeruleanHouseTrashedText1, CeruleanHouseTrashedText2, CeruleanHouseTrashedText3
+CeruleanHouseTrashedTextPointers: ; 1d689 (7:5689)
+	dw CeruleanHouseTrashedText1
+	dw CeruleanHouseTrashedText2
+	dw CeruleanHouseTrashedText3
 
 CeruleanHouseTrashedText1: ; 1d68f (7:568f)
 	db $08 ; asm
@@ -40999,7 +41377,7 @@ CeruleanHouseTrashedObject: ; 0x1d6bf (size=43)
 CeruleanHouse_h: ; 0x1d6ea to 0x1d6f6 (12 bytes) (bank=7) (id=63)
 	db $08 ; tileset
 	db CERULEAN_HOUSE_HEIGHT, CERULEAN_HOUSE_WIDTH ; dimensions (y, x)
-	dw CeruleanHouseBlocks, CeruleanHouseTexts, CeruleanHouseScript ; blocks, texts, scripts
+	dw CeruleanHouseBlocks, CeruleanHouseTextPointers, CeruleanHouseScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CeruleanHouseObject ; objects
@@ -41007,8 +41385,9 @@ CeruleanHouse_h: ; 0x1d6ea to 0x1d6f6 (12 bytes) (bank=7) (id=63)
 CeruleanHouseScript: ; 1d6f6 (7:56f6)
 	jp EnableAutoTextBoxDrawing
 
-CeruleanHouseTexts: ; 1d6f9 (7:56f9)
-	dw CeruleanHouseText1, CeruleanHouseText2
+CeruleanHouseTextPointers: ; 1d6f9 (7:56f9)
+	dw CeruleanHouseText1
+	dw CeruleanHouseText2
 
 CeruleanHouseText1: ; 1d6fd (7:56fd)
 	TX_FAR _CeruleanHouseText1
@@ -41042,7 +41421,7 @@ CeruleanHouseObject: ; 0x1d710 (size=32)
 BikeShop_h: ; 0x1d730 to 0x1d73c (12 bytes) (bank=7) (id=66)
 	db $15 ; tileset
 	db BIKE_SHOP_HEIGHT, BIKE_SHOP_WIDTH ; dimensions (y, x)
-	dw BikeShopBlocks, BikeShopTexts, BikeShopScript ; blocks, texts, scripts
+	dw BikeShopBlocks, BikeShopTextPointers, BikeShopScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw BikeShopObject ; objects
@@ -41050,8 +41429,10 @@ BikeShop_h: ; 0x1d730 to 0x1d73c (12 bytes) (bank=7) (id=66)
 BikeShopScript: ; 1d73c (7:573c)
 	jp EnableAutoTextBoxDrawing
 
-BikeShopTexts: ; 1d73f (7:573f)
-	dw BikeShopText1, BikeShopText2, BikeShopText3
+BikeShopTextPointers: ; 1d73f (7:573f)
+	dw BikeShopText1
+	dw BikeShopText2
+	dw BikeShopText3
 
 BikeShopText1: ; 1d745 (7:5745)
 	db $08 ; asm
@@ -41223,7 +41604,7 @@ BikeShopBlocks: ; 1d88c (7:588c)
 LavenderHouse1_h: ; 0x1d89c to 0x1d8a8 (12 bytes) (bank=7) (id=149)
 	db $08 ; tileset
 	db LAVENDER_HOUSE_1_HEIGHT, LAVENDER_HOUSE_1_WIDTH ; dimensions (y, x)
-	dw LavenderHouse1Blocks, LavenderHouse1Texts, LavenderHouse1Script ; blocks, texts, scripts
+	dw LavenderHouse1Blocks, LavenderHouse1TextPointers, LavenderHouse1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw LavenderHouse1Object ; objects
@@ -41232,8 +41613,13 @@ LavenderHouse1Script: ; 1d8a8 (7:58a8)
 	call EnableAutoTextBoxDrawing
 	ret
 
-LavenderHouse1Texts: ; 1d8ac (7:58ac)
-	dw LavenderHouse1Text1, LavenderHouse1Text2, LavenderHouse1Text3, LavenderHouse1Text4, LavenderHouse1Text5, LavenderHouse1Text6
+LavenderHouse1TextPointers: ; 1d8ac (7:58ac)
+	dw LavenderHouse1Text1
+	dw LavenderHouse1Text2
+	dw LavenderHouse1Text3
+	dw LavenderHouse1Text4
+	dw LavenderHouse1Text5
+	dw LavenderHouse1Text6
 
 LavenderHouse1Text1: ; 1d8b8 (7:58b8)
 	db $08 ; asm
@@ -41364,7 +41750,7 @@ LavenderHouse1Object: ; 0x1d96a (size=56)
 LavenderHouse2_h: ; 0x1d9a2 to 0x1d9ae (12 bytes) (bank=7) (id=151)
 	db $08 ; tileset
 	db LAVENDER_HOUSE_2_HEIGHT, LAVENDER_HOUSE_2_WIDTH ; dimensions (y, x)
-	dw LavenderHouse2Blocks, LavenderHouse2Texts, LavenderHouse2Script ; blocks, texts, scripts
+	dw LavenderHouse2Blocks, LavenderHouse2TextPointers, LavenderHouse2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw LavenderHouse2Object ; objects
@@ -41373,8 +41759,9 @@ LavenderHouse2Script: ; 1d9ae (7:59ae)
 	call EnableAutoTextBoxDrawing
 	ret
 
-LavenderHouse2Texts: ; 1d9b2 (7:59b2)
-	dw LavenderHouse2Text1, LavenderHouse2Text2
+LavenderHouse2TextPointers: ; 1d9b2 (7:59b2)
+	dw LavenderHouse2Text1
+	dw LavenderHouse2Text2
 
 LavenderHouse2Text1: ; 1d9b6 (7:59b6)
 	TX_FAR _LavenderHouse2Text1
@@ -41425,7 +41812,7 @@ LavenderHouse2Object: ; 0x1d9e6 (size=32)
 NameRater_h: ; 0x1da06 to 0x1da12 (12 bytes) (bank=7) (id=229)
 	db $08 ; tileset
 	db NAME_RATERS_HOUSE_HEIGHT, NAME_RATERS_HOUSE_WIDTH ; dimensions (y, x)
-	dw NameRaterBlocks, NameRaterTexts, NameRaterScript ; blocks, texts, scripts
+	dw NameRaterBlocks, NameRaterTextPointers, NameRaterScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw NameRaterObject ; objects
@@ -41469,7 +41856,7 @@ Unknown_1da20: ; 1da20 (7:5a20)
 	scf
 	ret
 
-NameRaterTexts: ; 1da54 (7:5a54)
+NameRaterTextPointers: ; 1da54 (7:5a54)
 	dw NameRaterText1
 
 NameRaterText1: ; 1da56 (7:5a56)
@@ -41559,7 +41946,7 @@ NameRaterObject: ; 0x1dad6 (size=26)
 VermilionHouse1_h: ; 0x1daf0 to 0x1dafc (12 bytes) (bank=7) (id=93)
 	db $08 ; tileset
 	db VERMILION_HOUSE_1_HEIGHT, VERMILION_HOUSE_1_WIDTH ; dimensions (y, x)
-	dw VermilionHouse1Blocks, VermilionHouse1Texts, VermilionHouse1Script ; blocks, texts, scripts
+	dw VermilionHouse1Blocks, VermilionHouse1TextPointers, VermilionHouse1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw VermilionHouse1Object ; objects
@@ -41568,8 +41955,10 @@ VermilionHouse1Script: ; 1dafc (7:5afc)
 	call EnableAutoTextBoxDrawing
 	ret
 
-VermilionHouse1Texts: ; 1db00 (7:5b00)
-	dw VermilionHouse1Text1, VermilionHouse1Text2, VermilionHouse1Text3
+VermilionHouse1TextPointers: ; 1db00 (7:5b00)
+	dw VermilionHouse1Text1
+	dw VermilionHouse1Text2
+	dw VermilionHouse1Text3
 
 VermilionHouse1Text1: ; 1db06 (7:5b06)
 	TX_FAR _VermilionHouse1Text1
@@ -41608,7 +41997,7 @@ VermilionHouse1Object: ; 0x1db20 (size=38)
 VermilionDock_h: ; 0x1db46 to 0x1db52 (12 bytes) (bank=7) (id=94)
 	db $0e ; tileset
 	db VERMILION_DOCK_HEIGHT, VERMILION_DOCK_WIDTH ; dimensions (y, x)
-	dw VermilionDockBlocks, VermilionDockTexts, VermilionDockScript ; blocks, texts, scripts
+	dw VermilionDockBlocks, VermilionDockTextPointers, VermilionDockScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw VermilionDockObject ; objects
@@ -41817,11 +42206,11 @@ VermilionDock_1dc94: ; 1dc94 (7:5c94)
 	call DelayFrames
 	ret
 
-VermilionDockTexts: ; 1dcbf (7:5cbf)
-	db $c1, $5c
+VermilionDockTextPointers: ; 1dcbf (7:5cbf)
+	dw VermilionDockText1
 
-UnnamedText_1dcc1: ; 1dcc1 (7:5cc1)
-	TX_FAR _UnnamedText_1dcc1
+VermilionDockText1: ; 1dcc1 (7:5cc1)
+	TX_FAR _VermilionDockText1
 	db "@"
 
 VermilionDockObject: ; 0x1dcc6 (size=20)
@@ -41845,7 +42234,7 @@ VermilionDockBlocks: ; 1dcda (7:5cda)
 CeladonMansion5_h: ; 0x1dd2e to 0x1dd3a (12 bytes) (bank=7) (id=132)
 	db $08 ; tileset
 	db CELADON_MANSION_5_HEIGHT, CELADON_MANSION_5_WIDTH ; dimensions (y, x)
-	dw CeladonMansion5Blocks, CeladonMansion5Texts, CeladonMansion5Script ; blocks, texts, scripts
+	dw CeladonMansion5Blocks, CeladonMansion5TextPointers, CeladonMansion5Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw CeladonMansion5Object ; objects
@@ -41853,8 +42242,9 @@ CeladonMansion5_h: ; 0x1dd2e to 0x1dd3a (12 bytes) (bank=7) (id=132)
 CeladonMansion5Script: ; 1dd3a (7:5d3a)
 	jp EnableAutoTextBoxDrawing
 
-CeladonMansion5Texts: ; 1dd3d (7:5d3d)
-	dw CeladonMansion5Text1, CeladonMansion5Text2
+CeladonMansion5TextPointers: ; 1dd3d (7:5d3d)
+	dw CeladonMansion5Text1
+	dw CeladonMansion5Text2
 
 CeladonMansion5Text1: ; 1dd41 (7:5d41)
 	TX_FAR _CeladonMansion5Text1
@@ -41892,7 +42282,7 @@ CeladonMansion5Object: ; 0x1dd5c (size=32)
 FuchsiaMart_h: ; 0x1dd7c to 0x1dd88 (12 bytes) (bank=7) (id=152)
 	db $02 ; tileset
 	db FUCHSIA_MART_HEIGHT, FUCHSIA_MART_WIDTH ; dimensions (y, x)
-	dw FuchsiaMartBlocks, FuchsiaMartTexts, FuchsiaMartScript ; blocks, texts, scripts
+	dw FuchsiaMartBlocks, FuchsiaMartTextPointers, FuchsiaMartScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw FuchsiaMartObject ; objects
@@ -41900,8 +42290,10 @@ FuchsiaMart_h: ; 0x1dd7c to 0x1dd88 (12 bytes) (bank=7) (id=152)
 FuchsiaMartScript: ; 1dd88 (7:5d88)
 	jp EnableAutoTextBoxDrawing
 
-FuchsiaMartTexts: ; 1dd8b (7:5d8b)
-	dw FuchsiaMartText1, FuchsiaMartText2, FuchsiaMartText3
+FuchsiaMartTextPointers: ; 1dd8b (7:5d8b)
+	dw FuchsiaMartText1
+	dw FuchsiaMartText2
+	dw FuchsiaMartText3
 
 FuchsiaMartText2: ; 1dd91 (7:5d91)
 	TX_FAR _FuchsiaMartText2
@@ -41935,7 +42327,7 @@ FuchsiaMartBlocks: ; 1ddc1 (7:5dc1)
 SaffronHouse1_h: ; 0x1ddd1 to 0x1dddd (12 bytes) (bank=7) (id=179)
 	db $08 ; tileset
 	db SAFFRON_HOUSE_1_HEIGHT, SAFFRON_HOUSE_1_WIDTH ; dimensions (y, x)
-	dw SaffronHouse1Blocks, SaffronHouse1Texts, SaffronHouse1Script ; blocks, texts, scripts
+	dw SaffronHouse1Blocks, SaffronHouse1TextPointers, SaffronHouse1Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SaffronHouse1Object ; objects
@@ -41943,8 +42335,11 @@ SaffronHouse1_h: ; 0x1ddd1 to 0x1dddd (12 bytes) (bank=7) (id=179)
 SaffronHouse1Script: ; 1dddd (7:5ddd)
 	jp EnableAutoTextBoxDrawing
 
-SaffronHouse1Texts: ; 1dde0 (7:5de0)
-	dw SaffronHouse1Text1, SaffronHouse1Text2, SaffronHouse1Text3, SaffronHouse1Text4
+SaffronHouse1TextPointers: ; 1dde0 (7:5de0)
+	dw SaffronHouse1Text1
+	dw SaffronHouse1Text2
+	dw SaffronHouse1Text3
+	dw SaffronHouse1Text4
 
 SaffronHouse1Text1: ; 1dde8 (7:5de8)
 	TX_FAR _SaffronHouse1Text1
@@ -41987,7 +42382,7 @@ SaffronHouse1Object: ; 0x1de04 (size=44)
 SaffronHouse2_h: ; 0x1de30 to 0x1de3c (12 bytes) (bank=7) (id=183)
 	db $08 ; tileset
 	db SAFFRON_HOUSE_2_HEIGHT, SAFFRON_HOUSE_2_WIDTH ; dimensions (y, x)
-	dw SaffronHouse2Blocks, SaffronHouse2Texts, SaffronHouse2Script ; blocks, texts, scripts
+	dw SaffronHouse2Blocks, SaffronHouse2TextPointers, SaffronHouse2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw SaffronHouse2Object ; objects
@@ -41995,7 +42390,7 @@ SaffronHouse2_h: ; 0x1de30 to 0x1de3c (12 bytes) (bank=7) (id=183)
 SaffronHouse2Script: ; 1de3c (7:5e3c)
 	jp EnableAutoTextBoxDrawing
 
-SaffronHouse2Texts: ; 1de3f (7:5e3f)
+SaffronHouse2TextPointers: ; 1de3f (7:5e3f)
 	dw SaffronHouse2Text1
 
 SaffronHouse2Text1: ; 1de41 (7:5e41)
@@ -42058,7 +42453,7 @@ SaffronHouse2Object: ; 0x1de8a (size=26)
 DiglettsCaveRoute2_h: ; 0x1dea4 to 0x1deb0 (12 bytes) (bank=7) (id=46)
 	db $11 ; tileset
 	db DIGLETTS_CAVE_EXIT_HEIGHT, DIGLETTS_CAVE_EXIT_WIDTH ; dimensions (y, x)
-	dw DiglettsCaveRoute2Blocks, DiglettsCaveRoute2Texts, DiglettsCaveRoute2Script ; blocks, texts, scripts
+	dw DiglettsCaveRoute2Blocks, DiglettsCaveRoute2TextPointers, DiglettsCaveRoute2Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw DiglettsCaveRoute2Object ; objects
@@ -42068,7 +42463,7 @@ DiglettsCaveRoute2Script: ; 1deb0 (7:5eb0)
 	ld [$d365], a
 	jp EnableAutoTextBoxDrawing
 
-DiglettsCaveRoute2Texts: ; 1deb8 (7:5eb8)
+DiglettsCaveRoute2TextPointers: ; 1deb8 (7:5eb8)
 	dw DiglettsCaveRoute2Text1
 
 DiglettsCaveRoute2Text1: ; 1deba (7:5eba)
@@ -42096,7 +42491,7 @@ DiglettsCaveRoute2Object: ; 0x1debf (size=34)
 Route2House_h: ; 0x1dee1 to 0x1deed (12 bytes) (bank=7) (id=48)
 	db $08 ; tileset
 	db ROUTE_2_HOUSE_HEIGHT, ROUTE_2_HOUSE_WIDTH ; dimensions (y, x)
-	dw Route2HouseBlocks, Route2HouseTexts, Route2HouseScript ; blocks, texts, scripts
+	dw Route2HouseBlocks, Route2HouseTextPointers, Route2HouseScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw Route2HouseObject ; objects
@@ -42104,8 +42499,9 @@ Route2House_h: ; 0x1dee1 to 0x1deed (12 bytes) (bank=7) (id=48)
 Route2HouseScript: ; 1deed (7:5eed)
 	jp EnableAutoTextBoxDrawing
 
-Route2HouseTexts: ; 1def0 (7:5ef0)
-	dw Route2HouseText1, Route2HouseText2
+Route2HouseTextPointers: ; 1def0 (7:5ef0)
+	dw Route2HouseText1
+	dw Route2HouseText2
 
 Route2HouseText1: ; 1def4 (7:5ef4)
 	TX_FAR _Route2HouseText1
@@ -42139,7 +42535,7 @@ Route2HouseObject: ; 0x1df07 (size=32)
 Route5Gate_h: ; 0x1df27 to 0x1df33 (12 bytes) (bank=7) (id=70)
 	db $0c ; tileset
 	db ROUTE_5_GATE_HEIGHT, ROUTE_5_GATE_WIDTH ; dimensions (y, x)
-	dw Route5GateBlocks, Route5GateTexts, Route5GateScript ; blocks, texts, scripts
+	dw Route5GateBlocks, Route5GateTextPointers, Route5GateScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw Route5GateObject ; objects
@@ -42147,10 +42543,10 @@ Route5Gate_h: ; 0x1df27 to 0x1df33 (12 bytes) (bank=7) (id=70)
 Route5GateScript: ; 1df33 (7:5f33)
 	call EnableAutoTextBoxDrawing
 	ld a, [W_ROUTE5GATECURSCRIPT]
-	ld hl, Route5GateScripts
+	ld hl, Route5GateScriptPointers
 	jp CallFunctionInTable
 
-Route5GateScripts: ; 1df3f (7:5f3f)
+Route5GateScriptPointers: ; 1df3f (7:5f3f)
 	dw Route5GateScript0
 	dw Route5GateScript1
 
@@ -42165,7 +42561,7 @@ Route5GateScript0: ; 1df50 (7:5f50)
 	ld a, [$d728]
 	bit 6, a
 	ret nz
-	ld hl, Coords1df8f
+	ld hl, CoordsData_1df8f
 	call ArePlayerCoordsInArray
 	ret nc
 	ld a, $2
@@ -42193,7 +42589,7 @@ Route5GateScript0: ; 1df50 (7:5f50)
 	set 6, [hl]
 	ret
 
-Coords1df8f: ; 1df8f (7:5f8f)
+CoordsData_1df8f: ; 1df8f (7:5f8f)
 	db 3,3
 	db 3,4
 	db $ff
@@ -42208,8 +42604,10 @@ Route5GateScript1: ; 1df94 (7:5f94)
 	ld [W_ROUTE5GATECURSCRIPT], a
 	ret
 
-Route5GateTexts: ; 1dfa4 (7:5fa4)
-	dw Route5GateText1, Route5GateText2, Route5GateText3
+Route5GateTextPointers: ; 1dfa4 (7:5fa4)
+	dw Route5GateText1
+	dw Route5GateText2
+	dw Route5GateText3
 
 Route8GateText1: ; 1dfaa (7:5faa)
 Route7GateText1: ; 1dfaa (7:5faa)
@@ -42290,26 +42688,27 @@ Route5GateBlocks: ; 1e025 (7:6025)
 Route6Gate_h: ; 0x1e031 to 0x1e03d (12 bytes) (bank=7) (id=73)
 	db $0c ; tileset
 	db ROUTE_6_GATE_HEIGHT, ROUTE_6_GATE_WIDTH ; dimensions (y, x)
-	dw Route6GateBlocks, Route6GateTexts, Route6GateScript ; blocks, texts, scripts
+	dw Route6GateBlocks, Route6GateTextPointers, Route6GateScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw Route6GateObject ; objects
 
 Route6GateScript: ; 1e03d (7:603d)
 	call EnableAutoTextBoxDrawing
-	ld hl, Route6GateScripts
+	ld hl, Route6GateScriptPointers
 	ld a, [W_ROUTE6GATECURSCRIPT]
 	call CallFunctionInTable
 	ret
 
-Route6GateScripts: ; 1e04a (7:604a)
-	dw Route6GateScript0, Route6GateScript1
+Route6GateScriptPointers: ; 1e04a (7:604a)
+	dw Route6GateScript0
+	dw Route6GateScript1
 
 Route6GateScript0: ; 1e04e (7:604e)
 	ld a, [$d728]
 	bit 6, a
 	ret nz
-	ld hl, Unknown_1e08c
+	ld hl, CoordsData_1e08c
 	call ArePlayerCoordsInArray
 	ret nc
 	ld a, $1
@@ -42336,12 +42735,9 @@ Route6GateScript0: ; 1e04e (7:604e)
 	ld [$ff00+$8c], a
 	jp DisplayTextID
 
-Unknown_1e08c: ; 1e08c (7:608c)
-	ld [bc], a
-	inc bc
-	ld [bc], a
-	inc b
-	rst $38
+CoordsData_1e08c: ; 1e08c (7:608c)
+	db $02,$03
+	db $02,$04,$FF
 
 Route6GateScript1: ; 1e091 (7:6091)
 	ld a, [$cd38]
@@ -42365,8 +42761,10 @@ Unknown_1e0a1: ; 1e0a1 (7:60a1)
 	ld [$cd3b], a
 	ret
 
-Route6GateTexts: ; 1e0b8 (7:60b8)
-	dw Route6GateText1, Route6GateText2, Route6GateText3
+Route6GateTextPointers: ; 1e0b8 (7:60b8)
+	dw Route6GateText1
+	dw Route6GateText2
+	dw Route6GateText3
 
 Route6GateObject: ; 0x1e0be (size=42)
 	db $a ; border tile
@@ -42394,7 +42792,7 @@ Route6GateBlocks: ; 1e0e8 (7:60e8)
 Route7Gate_h: ; 0x1e0f4 to 0x1e100 (12 bytes) (bank=7) (id=76)
 	db $0c ; tileset
 	db ROUTE_7_GATE_HEIGHT, ROUTE_7_GATE_WIDTH ; dimensions (y, x)
-	dw Route7GateBlocks, Route7GateTexts, Route7GateScript ; blocks, texts, scripts
+	dw Route7GateBlocks, Route7GateTextPointers, Route7GateScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw Route7GateObject ; objects
@@ -42402,11 +42800,11 @@ Route7Gate_h: ; 0x1e0f4 to 0x1e100 (12 bytes) (bank=7) (id=76)
 Route7GateScript: ; 1e100 (7:6100)
 	call EnableAutoTextBoxDrawing
 	ld a, [W_ROUTE7GATECURSCRIPT]
-	ld hl, Route7GateScripts
+	ld hl, Route7GateScriptPointers
 	call CallFunctionInTable
 	ret
 
-Route7GateScripts: ; 1e10d (7:610d)
+Route7GateScriptPointers: ; 1e10d (7:610d)
 	dw Route7GateScript0
 	dw Route7GateScript1
 
@@ -42426,7 +42824,7 @@ Route7GateScript0: ; 1e128 (7:6128)
 	ld a, [$d728]
 	bit 6, a
 	ret nz
-	ld hl, Coords1e167
+	ld hl, CoordsData_1e167
 	call ArePlayerCoordsInArray
 	ret nc
 	ld a, $8
@@ -42454,8 +42852,7 @@ Route7GateScript0: ; 1e128 (7:6128)
 	set 6, [hl]
 	ret
 
-
-Coords1e167: ; 1e167 (7:6167)
+CoordsData_1e167: ; 1e167 (7:6167)
 	db 3,3
 	db 4,3
 	db $ff
@@ -42471,8 +42868,10 @@ Route7GateScript1: ; 1e16c (7:616c)
 	ld [W_CURMAPSCRIPT], a
 	ret
 
-Route7GateTexts: ; 1e17f (7:617f)
-	dw Route7GateText1, Route7GateText2, Route7GateText3
+Route7GateTextPointers: ; 1e17f (7:617f)
+	dw Route7GateText1
+	dw Route7GateText2
+	dw Route7GateText3
 
 Route7GateObject: ; 0x1e185 (size=42)
 	db $a ; border tile
@@ -42500,18 +42899,18 @@ Route7GateBlocks: ; 1e1af (7:61af)
 Route8Gate_h: ; 0x1e1bb to 0x1e1c7 (12 bytes) (bank=7) (id=79)
 	db $0c ; tileset
 	db ROUTE_8_GATE_HEIGHT, ROUTE_8_GATE_WIDTH ; dimensions (y, x)
-	dw Route8GateBlocks, Route8GateTexts, Route8GateScript ; blocks, texts, scripts
+	dw Route8GateBlocks, Route8GateTextPointers, Route8GateScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw Route8GateObject ; objects
 
 Route8GateScript: ; 1e1c7 (7:61c7)
 	call EnableAutoTextBoxDrawing
-	ld hl, Route8GateScripts
+	ld hl, Route8GateScriptPointers
 	ld a, [W_ROUTE8GATECURSCRIPT]
 	jp CallFunctionInTable
 
-Route8GateScripts: ; 1e1d3 (7:61d3)
+Route8GateScriptPointers: ; 1e1d3 (7:61d3)
 	dw Route8GateScript0
 	dw Route8GateScript1
 
@@ -42531,7 +42930,7 @@ Route8GateScript0: ; 1e1ee (7:61ee)
 	ld a, [$d728]
 	bit 6, a
 	ret nz
-	ld hl, Coords1e22c
+	ld hl, CoordsData_1e22c
 	call ArePlayerCoordsInArray
 	ret nc
 	ld a, $2
@@ -42558,7 +42957,7 @@ Route8GateScript0: ; 1e1ee (7:61ee)
 	ld [$ff00+$8c], a
 	jp DisplayTextID
 
-Coords1e22c: ; 1e22c (7:622c)
+CoordsData_1e22c: ; 1e22c (7:622c)
 	db 3,2
 	db 4,2
 	db $ff
@@ -42573,8 +42972,10 @@ Route8GateScript1: ; 1e231 (7:6231)
 	ld [W_ROUTE8GATECURSCRIPT], a
 	ret
 
-Route8GateTexts: ; 1e241 (7:6241)
-	dw Route8GateText1, Route8GateText2, Route8GateText3
+Route8GateTextPointers: ; 1e241 (7:6241)
+	dw Route8GateText1
+	dw Route8GateText2
+	dw Route8GateText3
 
 Route8GateObject: ; 0x1e247 (size=42)
 	db $a ; border tile
@@ -42602,7 +43003,7 @@ Route8GateBlocks: ; 1e271 (7:6271)
 UndergroundPathEntranceRoute8_h: ; 0x1e27d to 0x1e289 (12 bytes) (bank=7) (id=80)
 	db $0c ; tileset
 	db PATH_ENTRANCE_ROUTE_8_HEIGHT, PATH_ENTRANCE_ROUTE_8_WIDTH ; dimensions (y, x)
-	dw UndergroundPathEntranceRoute8Blocks, UndergroundPathEntranceRoute8Texts, UndergroundPathEntranceRoute8Script ; blocks, texts, scripts
+	dw UndergroundPathEntranceRoute8Blocks, UndergroundPathEntranceRoute8TextPointers, UndergroundPathEntranceRoute8Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw UndergroundPathEntranceRoute8Object ; objects
@@ -42612,7 +43013,7 @@ UndergroundPathEntranceRoute8Script: ; 1e289 (7:6289)
 	ld [$d365], a
 	jp EnableAutoTextBoxDrawing
 
-UndergroundPathEntranceRoute8Texts: ; 1e291 (7:6291)
+UndergroundPathEntranceRoute8TextPointers: ; 1e291 (7:6291)
 	dw UndergroundPathEntranceRoute8Text1
 
 ;XXX wtf? syntax error
@@ -42642,7 +43043,7 @@ UndergroundPathEntranceRoute8Object: ; 0x1e298 (size=34)
 PowerPlant_h: ; 0x1e2ba to 0x1e2c6 (12 bytes) (bank=7) (id=83)
 	db $16 ; tileset
 	db POWER_PLANT_HEIGHT, POWER_PLANT_WIDTH ; dimensions (y, x)
-	dw PowerPlantBlocks, PowerPlantTexts, PowerPlantScript ; blocks, texts, scripts
+	dw PowerPlantBlocks, PowerPlantTextPointers, PowerPlantScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw PowerPlantObject ; objects
@@ -42661,8 +43062,21 @@ PowerPlantScriptPointers: ; 1e2d9 (7:62d9)
 	dw Func_324c
 	dw EndTrainerBattle
 
-PowerPlantTexts: ; 1e2df (7:62df)
-	dw PowerPlantText1, PowerPlantText2, PowerPlantText3, PowerPlantText4, PowerPlantText5, PowerPlantText6, PowerPlantText7, PowerPlantText8, PowerPlantText9, Predef5CText, Predef5CText, Predef5CText, Predef5CText, Predef5CText
+PowerPlantTextPointers: ; 1e2df (7:62df)
+	dw PowerPlantText1
+	dw PowerPlantText2
+	dw PowerPlantText3
+	dw PowerPlantText4
+	dw PowerPlantText5
+	dw PowerPlantText6
+	dw PowerPlantText7
+	dw PowerPlantText8
+	dw PowerPlantText9
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
+	dw Predef5CText
 
 PowerPlantTrainerHeaders: ; 1e2fb (7:62fb)
 PowerPlantTrainerHeader0: ; 1e2fb (7:62fb)
@@ -42848,7 +43262,7 @@ PowerPlantBlocks: ; 1e446 (7:6446)
 DiglettsCaveEntranceRoute11_h: ; 0x1e5ae to 0x1e5ba (12 bytes) (bank=7) (id=85)
 	db $11 ; tileset
 	db DIGLETTS_CAVE_ENTRANCE_HEIGHT, DIGLETTS_CAVE_ENTRANCE_WIDTH ; dimensions (y, x)
-	dw DiglettsCaveEntranceRoute11Blocks, DiglettsCaveEntranceRoute11Texts, DiglettsCaveEntranceRoute11Script ; blocks, texts, scripts
+	dw DiglettsCaveEntranceRoute11Blocks, DiglettsCaveEntranceRoute11TextPointers, DiglettsCaveEntranceRoute11Script ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw DiglettsCaveEntranceRoute11Object ; objects
@@ -42859,7 +43273,7 @@ DiglettsCaveEntranceRoute11Script: ; 1e5ba (7:65ba)
 	ld [$d365], a
 	ret
 
-DiglettsCaveEntranceRoute11Texts: ; 1e5c3 (7:65c3)
+DiglettsCaveEntranceRoute11TextPointers: ; 1e5c3 (7:65c3)
 	dw DiglettsCaveEntranceRoute11Text1
 
 ; XXX wtf? syntax error
@@ -42889,7 +43303,7 @@ DiglettsCaveEntranceRoute11Object: ; 0x1e5ca (size=34)
 Route16House_h: ; 0x1e5ec to 0x1e5f8 (12 bytes) (bank=7) (id=188)
 	db $08 ; tileset
 	db ROUTE_16_HOUSE_HEIGHT, ROUTE_16_HOUSE_WIDTH ; dimensions (y, x)
-	dw Route16HouseBlocks, Route16HouseTexts, Route16HouseScript ; blocks, texts, scripts
+	dw Route16HouseBlocks, Route16HouseTextPointers, Route16HouseScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw Route16HouseObject ; objects
@@ -42897,8 +43311,9 @@ Route16House_h: ; 0x1e5ec to 0x1e5f8 (12 bytes) (bank=7) (id=188)
 Route16HouseScript: ; 1e5f8 (7:65f8)
 	jp EnableAutoTextBoxDrawing
 
-Route16HouseTexts: ; 1e5fb (7:65fb)
-	dw Route16HouseText1, Route16HouseText2
+Route16HouseTextPointers: ; 1e5fb (7:65fb)
+	dw Route16HouseText1
+	dw Route16HouseText2
 
 Route16HouseText1: ; 1e5ff (7:65ff)
 	db $08 ; asm
@@ -42970,14 +43385,14 @@ Route16HouseObject: ; 0x1e657 (size=32)
 Route22Gate_h: ; 0x1e677 to 0x1e683 (12 bytes) (bank=7) (id=193)
 	db $0c ; tileset
 	db ROUTE_22_GATE_HEIGHT, ROUTE_22_GATE_WIDTH ; dimensions (y, x)
-	dw Route22GateBlocks, Route22GateTexts, Route22GateScript ; blocks, texts, scripts
+	dw Route22GateBlocks, Route22GateTextPointers, Route22GateScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw Route22GateObject ; objects
 
 Route22GateScript: ; 1e683 (7:6683)
 	call EnableAutoTextBoxDrawing
-	ld hl, Route22GateScripts
+	ld hl, Route22GateScriptPointers
 	ld a, [W_ROUTE22GATECURSCRIPT]
 	call CallFunctionInTable
 	ld a, [$d361]
@@ -42989,8 +43404,10 @@ Route22GateScript: ; 1e683 (7:6683)
 	ld [$d365], a
 	ret
 
-Route22GateScripts: ; 1e69e (7:669e)
-	dw Route22GateScript0, Route22GateScript1, Route22GateScript2
+Route22GateScriptPointers: ; 1e69e (7:669e)
+	dw Route22GateScript0
+	dw Route22GateScript1
+	dw Route22GateScript2
 
 Route22GateScript0: ; 1e6a4 (7:66a4)
 	ld hl, Route22GateScriptCoords
@@ -43028,7 +43445,7 @@ Route22GateScript1: ; 1e6cd (7:66cd)
 Route22GateScript2: ; 1e6de (7:66de)
 	ret
 
-Route22GateTexts: ; 1e6df (7:66df)
+Route22GateTextPointers: ; 1e6df (7:66df)
 	dw Route22GateText1
 
 Route22GateText1: ; 1e6e1 (7:66e1)
@@ -43092,7 +43509,7 @@ Route22GateBlocks: ; 1e74a (7:674a)
 BillsHouse_h: ; 0x1e75e to 0x1e76a (12 bytes) (bank=7) (id=88)
 	db $10 ; tileset
 	db BILLS_HOUSE_HEIGHT, BILLS_HOUSE_WIDTH ; dimensions (y, x)
-	dw BillsHouseBlocks, BillsHouseTexts, BillsHouseScript ; blocks, texts, scripts
+	dw BillsHouseBlocks, BillsHouseTextPointers, BillsHouseScript ; blocks, texts, scripts
 	db $00 ; connections
 
 	dw BillsHouseObject ; objects
@@ -43100,10 +43517,10 @@ BillsHouse_h: ; 0x1e75e to 0x1e76a (12 bytes) (bank=7) (id=88)
 BillsHouseScript: ; 1e76a (7:676a)
 	call EnableAutoTextBoxDrawing
 	ld a, [W_BILLSHOUSECURSCRIPT]
-	ld hl, BillsHouseScripts
+	ld hl, BillsHouseScriptPointers
 	jp CallFunctionInTable
 
-BillsHouseScripts: ; 1e776 (7:6776)
+BillsHouseScriptPointers: ; 1e776 (7:6776)
 	dw BillsHouseScript0
 	dw BillsHouseScript1
 	dw BillsHouseScript2
@@ -43117,9 +43534,9 @@ BillsHouseScript0: ; 1e782 (7:6782)
 BillsHouseScript1: ; 1e783 (7:6783)
 	ld a, [$c109]
 	and a
-	ld de, MovementData1e79c
+	ld de, MovementData_1e79c
 	jr nz, .asm_1e78f ; 0x1e78a $3
-	ld de, MovementData1e7a0
+	ld de, MovementData_1e7a0
 .asm_1e78f
 	ld a, $1
 	ld [$ff00+$8c], a
